InstallerDirectoryEvent (install4j API)
Description: declaration: package: com.install4j.api.events, class: InstallerDirectoryEvent

# Class InstallerDirectoryEvent

java.lang.Object
java.util.EventObject
com.install4j.api.events.InstallerEvent
com.install4j.api.events.InstallerDirectoryEvent

All Implemented Interfaces:
  `Serializable`

public class InstallerDirectoryEvent extends InstallerEvent
The event object that is passed to installer event listeners for the directory creation event. Event listeners are registered in the `InstallerContext`.

This event object contains additional information about the installed file. The event type `EventType.DIRECTORY_CREATED` produces this event object when fired.

See Also:
  - `InstallerEventListener`
  - `Context.addInstallerEventListener(InstallerEventListener)`
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class EventObject

  `source`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InstallerDirectoryEvent(Object source, Context context, EventType type, boolean success, File directory)`
  The constructor is called by the framework.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `File`
  `getDirectory()`
  Get the created directory associated with this event.
  `String`
  `getVerbose()`
  Return a verbose description of this event.
  `String`
  `toString()`

  ### Methods inherited from class InstallerEvent

  `getContext, getType, setContext, wasSuccessful`

  ### Methods inherited from class EventObject

  `getSource`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### InstallerDirectoryEvent

    public InstallerDirectoryEvent(Object source, Context context, EventType type, boolean success, File directory)
    The constructor is called by the framework.
    Parameters:
      `source` - the event source
      `context` - the context
      `type` - the event type.
      `success` - whether the operation associated with the event was successful
      `directory` - the installed file

- ## Method Details

  - ### getDirectory

    public File getDirectory()
    Get the created directory associated with this event.
    Returns:
      the file

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `InstallerEvent`

  - ### getVerbose

    public String getVerbose()
    Description copied from class: `InstallerEvent`
    Return a verbose description of this event.
    Overrides:
      `getVerbose` in class `InstallerEvent`
    Returns:
      the description